import { Story, Canvas, Meta, Description } from "@storybook/addon-docs/blocks";
import { html } from "lit-html";
import CATEGORIES from "../categories";
import readme from "../../dist/docs/components/tabs/tab/readme.md";
import readmeTabContainer from "../../dist/docs/components/tabs/tab-container/readme.md";

<Meta title={CATEGORIES.COMPONENTS + "Tab"} />

# Tabs

Tab component which displays tab buttons and its contents on click.

<Canvas>
    <Story name="Tab">
        {html`
            <ui-tab-container active-tab-id="ui-tab-content2">
                <ui-tab name="Tab 1" tab-id="ui-tab-content1">
                    <h3>Rhoncus rutrum velit</h3>
                    <p>
                        Lorem ipsum dolor sit amet, consetetur sadipscing elitr,
                        sed diam nonumy eirmod tempor invidunt ut labore et
                        dolore magna aliquyam erat, sed diam voluptua. At vero
                        eos et accusam et justo duo dolores et ea rebum. Stet
                        clita kasd gubergren, no sea takimata sanctus est Lorem
                        ipsum dolor sit amet. Lorem ipsum dolor sit amet,
                        consetetur sadipscing elitr, sed diam nonumy eirmod
                        tempor invidunt ut labore et dolore magna aliquyam erat,
                        sed diam voluptua.
                    </p>
                    <ul>
                        <li>
                            Class curabitur suscipit tempus nibh dis posuere
                            primis litora, phasellus ornare semper nisl
                            himenaeos tincidunt sit auctor fringilla, ligula
                            porttitor nunc netus lacus egestas aliquet.
                        </li>
                        <li>Litora bibendum curabitur faucibus urna</li>
                        <li>
                            Maximus senectus faucibus lacinia tristique dictum
                            dapibus congue venenatis sed
                        </li>
                        <li>
                            Ac luctus dis ridiculus nostra ex conubia dictum
                            facilisi tristique diam habitant inceptos iaculis
                            egestas eu euismod massa nunc erat
                        </li>
                        <li>
                            Dolor vivamus ut nostra penatibus laoreet volutpat
                            ridiculus adipiscing ac quisque metus facilisis
                            ultrices lorem dis
                        </li>
                        <li>
                            Eget ac convallis rutrum leo maecenas ultrices
                            malesuada amet litora odio sed sapien dictum elit
                            neque placerat posuere adipiscing vestibulum euismod
                        </li>
                    </ul>
                </ui-tab>
                <ui-tab name="Tab 2" tab-id="ui-tab-content2">
                    <h3>Lorem ipsum</h3>
                    <table style="width: 100%">
                        <thead>
                            <tr>
                                <th></th>
                                <th>Table Heading</th>
                            </tr>
                        </thead>
                        <tbody>
                            <tr>
                                <td>Table Heading 1</td>
                                <td>Table Cell 1</td>
                            </tr>
                            <tr>
                                <td>Table Heading 2</td>
                                <td>Table Cell 2</td>
                            </tr>
                            <tr>
                                <td>Table Heading 3</td>
                                <td>Table Cell 3</td>
                            </tr>
                            <tr>
                                <td>Table Heading 4</td>
                                <td>Table Cell 4</td>
                            </tr>
                            <tr>
                                <td>Table Heading 5</td>
                                <td>Table Cell 5</td>
                            </tr>
                        </tbody>
                    </table>
                </ui-tab>
                <ui-tab name="Tab 3" tab-id="ui-tab-content3">
                    <h3>Mi platea</h3>
                    <p>
                        Lorem ipsum dolor sit amet, consetetur sadipscing elitr,
                        sed diam nonumy eirmod tempor invidunt ut labore et
                        dolore magna aliquyam erat, sed diam voluptua. At vero
                        eos et accusam et justo duo dolores et ea rebum. Stet
                        clita kasd gubergren, no sea takimata sanctus est Lorem
                        ipsum dolor sit amet. Lorem ipsum dolor sit amet,
                        consetetur sadipscing elitr, sed diam nonumy eirmod
                        tempor invidunt ut labore et dolore magna aliquyam erat,
                        sed diam voluptua.
                    </p>
                </ui-tab>
            </ui-tab-container>
        `}
    </Story>
</Canvas>

---

## Usage

```
<ui-tab-container active-tab-id="ui-tab-content2">
    <ui-tab name="Tab 1" tab-id="ui-tab-content1">
        My Content 1
        <img src="example.jpg" />
    </ui-tab>
    <ui-tab name="Tab 2" tab-id="ui-tab-content2">
        My Content 2
    </ui-tab>
</ui-tab-container>
```

# Developer Documentation

<Description markdown={readmeTabContainer} />
<Description markdown={readme} />
